MirrorList (jEdit API Documentation)

Package org.gjt.sp.jedit.pluginmgr

## Class MirrorList

- java.lang.Object
- - org.gjt.sp.jedit.pluginmgr.MirrorList

-     public class MirrorList
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `MirrorList.Mirror` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MirrorList​(java.lang.String xml, ProgressObserver observer)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<MirrorList.Mirror>` | `getMirrors()` |
    `java.lang.String` | `getXml()` |
    `static MirrorList` | `mirrorListFromDisk​(ProgressObserver progressObserver)` |
    `static MirrorList` | `mirrorListFromInternet​(ProgressObserver progressObserver)` |
    `void` | `saveXml()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MirrorList

          public MirrorList​(java.lang.String xml,
                            ProgressObserver observer)
                     throws javax.xml.parsers.ParserConfigurationException,
                            org.xml.sax.SAXException,
                            java.io.IOException

      Throws:
        `javax.xml.parsers.ParserConfigurationException`
        `org.xml.sax.SAXException`
        `java.io.IOException`

  - ### Method Detail

    - #### mirrorListFromDisk

          public static MirrorList mirrorListFromDisk​(ProgressObserver progressObserver)
                                               throws java.io.IOException,
                                                      org.xml.sax.SAXException,
                                                      javax.xml.parsers.ParserConfigurationException

      Throws:
        `java.io.IOException`
        `org.xml.sax.SAXException`
        `javax.xml.parsers.ParserConfigurationException`

    - #### mirrorListFromInternet

          public static MirrorList mirrorListFromInternet​(ProgressObserver progressObserver)
                                                   throws java.io.IOException,
                                                          javax.xml.parsers.ParserConfigurationException,
                                                          org.xml.sax.SAXException

      Throws:
        `java.io.IOException`
        `javax.xml.parsers.ParserConfigurationException`
        `org.xml.sax.SAXException`

    - #### getXml

          public java.lang.String getXml()

    - #### getMirrors

          public java.util.List<MirrorList.Mirror> getMirrors()

    - #### saveXml

          public void saveXml()